<template>
  <div class="provably-page">
    <div class="provably-page-content container-small text-page">
      <h1>Provably Fair</h1>
      <div class="main-content">
        <h3>What is “Provably Fair”?</h3>
        <p>
          “Provably fair” is one of those terms that gets a lot of attention
          nowadays. If you’ve ever played on an online casino there’s a good
          chance you have heard about it, and if you’re reading this there’s
          even a better chance that you would like to know more about it.
        </p>
        <p>
          The meteoric rise of blockchain technology over the last decade has
          given birth to cool stuff like cryptocurrencies, smart contracts,
          ICO’s and many more that are still to come. As we’ve previously
          covered, this revolutionary technology is a major breath of fresh
          air to the gambling industry for a wide variety of reasons, with
          provable fairness being one of them. What are provably fair games?
        </p>
        <h3>What are “Provably Fair Games”?</h3>
        <p>
          Imagine you are playing a slot or a blackjack game at an online casino.
          How can you know beyond any doubt that the game’s algorithm isn’t
          rigged to cheat you? The short answer is: you can’t. As a player you
          have no other choice but to trust the casino operator. This is where
          provably fair games can make a huge difference, i.e., players are
          empowered with tools that allow them to verify if a game’s outcome
          was truly fair, and they can do this for every round of the game if
          they choose to. <br>
          Giving players a sure way to test if a card shuffle was truly random
          or if a dice roll respected the probabilistic laws of an honest dice
          roll removes the previously mentioned need to blindly trust the casino.
          Naturally, the querying for provable fair games has seen steady growth
          over the last years, as is shown in the volume of Google searches for
          “provably fair”:
        </p>
        <h3>Random Number Generation</h3>
        <p>
          The science of generating random numbers to ensure anti-cheating
          policies on casinos is called random number generation (RNG). It’s
          part of a scientific field that involves computational and mathematical
          knowledge but rest assured we won’t dive into boring technical know-how’s.<br>
          All you need to know is that RNG warrants the randomness of a dice
          roll, roulette number, slot symbol and so on. Companies and regulators
          responsible for licensing casinos evaluate the equipment’s RNG mechanism
          or the online casino’s server. Although blockchain ledgers may eventually
          change this, in most cases proving a game is fair boils down to proving
          that such randomness actually occurred.
        </p>
        <h3>How does it work?</h3>
        <p>With the good technological implementation and a dash of cooperation
          from the operator, it is possible to build games on top of a blockchain,
          granting transparency and immutability to the way the game operates.
          If you’re not sure how this is achieved with this distributed ledger
          technology, this two-minute video explains it quite well:
        </p>
        <p>
          If the game is not built on the blockchain then the fairness
          authentication may still work through manual verification. The use of
          open-source code and/or verification tools is also added to the mix to
          complete the provable fairness toolkit.
        </p>
        <h3>How do I verify my game was really fair?</h3>
        <p>
          Most casinos implementing provably fair games have their own verification
           methods and tutorials. This is because there are a couple of different
           ways of doing this. Here’s a very simplified version of the process,
           assuming the casino isn’t blockchain-based:
         </p>
         <p>
           the random number used to determine the outcome of the event is
           calculated based on a server seed (generated by the server) and a
           client seed (generated by the client’s hardware).
         </p>
         <p>
           Players can see their own client seed because it is generated from
           their side; the server seed, however, is displayed as a hash
           (e.g.: 4b02asd9l8cocacrl119sp0x33497a) because it is encrypted.
         </p>
         <p>
           When the game is over the casino displays the event’s client seed;
           players can then input this seed into a trusted third party calculator
           — there are many on Google — and it will return a hash; <br>
           if the hash matches the server seed then you know no suspicious changes
           occurred within that gaming session; any mid-game changes would result
           in the hashes not matching.<br>
           If you just read all that blazing your eyes through it with little
           understanding don’t worry — it is a daunting process to go through.
         </p>
      </div>
    </div>
  </div>
</template>

<script>

export default {

}
</script>
